For the complete documentation index, see llms.txt. This page is also available as Markdown.

Validate store extension credentials

Validates that the store extension's saved credentials are correct by calling the underlying provider.

Required permissions: EXTENSION

post
/tenants/{tenantUid}/stores/{storeUid}/extensions/{storeExtensionUid}/validate-credentials
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
storeExtensionUidstringRequired

Reference to a store extension.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

Credentials are valid

No content

post/tenants/{tenantUid}/stores/{storeUid}/extensions/{storeExtensionUid}/validate-credentials
POST /v2/tenants/{tenantUid}/stores/{storeUid}/extensions/{storeExtensionUid}/validate-credentials HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

Credentials are valid

No content

Last updated

Was this helpful?